mysqli::next_result
mysqli::ping
MySQLi
PHP Manual

# mysqli::options

# mysqli_options

(PHP 5)

mysqli::options -- mysqli_options — Set options

### Beschreibung

Objektorientierter Stil

bool mysqli::options ( int `$option` , mixed `$value` )

Prozeduraler Stil

bool mysqli_options ( mysqli `$link` , int `$option` , mixed `$value` )

Used to set extra connect options and affect behavior for a connection.

This function may be called multiple times to set several options.

mysqli_options() should be called after mysqli_init() and before mysqli_real_connect().

### Parameter-Liste

`link`

  Nur bei prozeduralem Aufruf: Ein von mysqli_connect() oder mysqli_init() zurückgegebenes Verbindungsobjekt.

`option`

  The option that you want to set. It can be one of the following values:

  Valid options
  Name | Description
  --- | ---
  `MYSQLI_OPT_CONNECT_TIMEOUT` | connection timeout in seconds (supported on Windows with TCP/IP since PHP 5.3.1)
  `MYSQLI_OPT_LOCAL_INFILE` | enable/disable use of LOAD LOCAL INFILE
  `MYSQLI_INIT_COMMAND` | command to execute after when connecting to MySQL server
  `MYSQLI_READ_DEFAULT_FILE` | Read options from named option file instead of my.cnf
  `MYSQLI_READ_DEFAULT_GROUP` | Read options from the named group from my.cnf or the file specified with `MYSQL_READ_DEFAULT_FILE`.

`value`

  The value for the option.

### Rückgabewerte

Gibt bei Erfolg `TRUE` zurück. Im Fehlerfall wird `FALSE` zurückgegeben.

### Beispiele

See mysqli_real_connect().

### Siehe auch

- mysqli_init() - Initializes MySQLi and returns a resource for use with mysqli_real_connect()
- mysqli_real_connect() - Opens a connection to a mysql server

mysqli::next_result
mysqli::ping
MySQLi
PHP Manual